Utility and error-handling
libplayerc

Some helper functions. More...

## Functions

PLAYERC_EXPORT const char * | playerc_error_str (void)
| Retrieve the last error (as a descriptive string). More...
PLAYERC_EXPORT int | playerc_add_xdr_ftable (playerxdr_function_t *flist, int replace)
| Get the name for a given interface code. More...

## Detailed Description

Some helper functions.

## Function Documentation

PLAYERC_EXPORT int playerc_add_xdr_ftable | ( | playerxdr_function_t * | flist,
|  | int | replace
| ) |  |

Get the name for a given interface code.

Get the interface code for a given name. Add new entries to the XDR function table.

PLAYERC_EXPORT const char* playerc_error_str | ( | void |  | ) |

Retrieve the last error (as a descriptive string).

Most functions in will return 0 on success and non-zero value on error; a descriptive error message can be obtained by calling this function.

Last updated 12 September 2005 21:38:45